<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.0 - Last modified 10/25/2009
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');

if (!$flags['owner']) {
	report_err('You do not have the credentials to access the control panel.');
}

// Init
$gd_OK = 0;
if (extension_loaded ('gd')) {
	// GDlib available!
	$gd_OK = 1;
}


// User submits information
if (isset ($_POST['action'])) {
	// Get rid of trailing slashes
	$bbs_url       = strip_path(w_gpc('okurl'));
	$avatar_folder = strip_path(w_gpc('avatar_folder'));

	// Fix email
	$bbs_email = trim (w_gpc('eaddr'));

	// Fix HTML entries, like the BBS title.
	$bbs_title = w_gpc('op_title', 'html');

	// Other verification
	$bbs_language = w_gpc('language');
	$bbs_template = w_gpc('template');

	$reg_draw   = 'no';
	$reg_anim   = 'no';
	$reg_upload = 'no';
	if (w_gpc('drawaccess')      == 'D') $reg_draw = 'yes';
	if (w_gpc('animationaccess') == 'A') $reg_anim = 'yes';
	if (w_gpc('uploadaccess')    == 'U') $reg_upload = 'yes';

	// Min/Max
	$thumb_t     = fix_range(50,      500, w_gpc('thumb_t', 'i'));
	$thumb_r     = fix_range(50,      500, w_gpc('thumb_r', 'i'));
	$compress    = fix_range( 0,      100, w_gpc('jpgcompressqual', 'i'));
	$thumb_bytes = fix_range( 0, 15000000, w_gpc('thumb_bytes', 'i+'));
	$av_x        = fix_range(10,      150, w_gpc('avatar_x', 'i'));
	$av_y        = fix_range(10,      150, w_gpc('avatar_y', 'i'));
	$killuser    = fix_range(-1,    10000, w_gpc('killuser', 'i'));
	$ppage       = fix_range( 5,      100, w_gpc('ppage', 'i'));
	$pstore      = fix_range(10,   500000, w_gpc('pstore', 'i'));


	// Create a configuration file with specified settings
	$main_configuration = <<<EOF
<?php // Include only
	\$cfg = array();
	\$cfg['version'] = '1.3.0';

	\$cfg['op_title']  = '{$bbs_title}';
	\$cfg['op_author'] = ''; // WIP
	\$cfg['op_adult']  = '{$_POST['op_adult']}';
	\$cfg['op_email']  = '{$bbs_email}';
	\$cfg['op_url']    = '{$bbs_url}';

	\$cfg['salt']    = '{$cfg['salt']}';
	\$cfg['op_pics'] = '{$cfg['op_pics']}';
	\$cfg['op_pre']  = '{$cfg['op_pre']}';

	\$cfg['kill_user']     = '{$killuser}';
	\$cfg['kill_reg']      = '15';
	\$cfg['approval']      = '{$_POST['approval']}';
	\$cfg['draw_immune']   = '{$_POST['draw_immune']}';
	\$cfg['require_art']   = 'no';
	\$cfg['guest_post']    = '{$_POST['guestpost']}';
	\$cfg['guest_draw']    = ''; // WIP
	\$cfg['guest_adult']   = ''; // WIP
	\$cfg['humanity_post'] = 'yes'; // WIP
	\$cfg['reg_draw']      = '{$reg_draw}';
	\$cfg['reg_anim']      = '{$reg_anim}';
	\$cfg['reg_upload']    = '{$reg_upload}';
	\$cfg['reg_rules']     = 'no';

	\$cfg['language'] = '{$bbs_language}';
	\$cfg['template'] = '{$bbs_template}';
	\$cfg['tpl_path'] = 'templates';
	\$cfg['res_path'] = 'resource';

	\$cfg['pic_store']  = '{$pstore}';
	\$cfg['pic_pages']  = '{$ppage}';
	\$cfg['menu_pages'] = '20';
	\$cfg['pic_limit']      = ''; // WIP
	\$cfg['pic_limit_time'] = ''; // WIP

	\$cfg['porn_img']      = 'pr0n.png';
	\$cfg['preview_img']   = 'preview.png';
	\$cfg['preview_title'] = 'Canvas Preview';
	\$cfg['def_x']    = '{$_POST['xDefault']}';
	\$cfg['def_y']    = '{$_POST['yDefault']}';
	\$cfg['canvas_x'] = '{$_POST['xCanvas']}';
	\$cfg['canvas_y'] = '{$_POST['yCanvas']}';
	\$cfg['min_x']    = '50';
	\$cfg['min_y']    = '50';
	\$cfg['canvas_a'] = ''; // WIP
	\$cfg['max_anim'] = '{$_POST['anisize']}';
	\$cfg['max_pic']  = '{$_POST['max_pic']}';

	\$cfg['use_thumb']   = '{$_POST['use_thumb']}';
	\$cfg['force_thumb'] = 'no';
	\$cfg['thumb_bytes'] = '{$thumb_bytes}';
	\$cfg['thumb_t']     = '{$thumb_t}';
	\$cfg['thumb_r']     = '{$thumb_r}';
	\$cfg['thumb_jpg']   = '{$compress}';

	\$cfg['use_mailbox'] = 'yes';

	\$cfg['use_chat']   = '{$_POST['useChat']}';
	\$cfg['chat_max']   = '{$_POST['chatMax']}';
	\$cfg['chat_pages'] = '{$_POST['chatDisp']}';

	\$cfg['smilies'] = '{$_POST['smilies']}';

	\$cfg['use_avatars']   = '{$_POST['use_avatars']}';
	\$cfg['use_c_avatars'] = '{$_POST['use_c_avatars']}';
	\$cfg['avatar_folder'] = '{$avatar_folder}';
	\$cfg['avatar_x'] = '{$av_x}';
	\$cfg['avatar_y'] = '{$av_y}';

	\$cfg['public_retouch']   = 'no';
	\$cfg['safety_storetime'] = '10';
	\$cfg['safety_saves']     = 'no';
	\$cfg['self_bump']        = 'no';
?>
EOF;
//<?

	// Write the config file
	$fp = fopen ('config.php', 'w');
	if ($fp) {
		fwrite ($fp, $main_configuration);
		fclose ($fp);
	} else {
		report_err('Could not open config file '.$cfg_file.' for writing.  Check your server permissions');
	}

	// Update templates if needed
	if ($_POST['t_reset'] == 'yes') {
		$result = mysql_query ("UPDATE {$OekakiPoteto_MemberPrefix}oekaki SET templatesel=''");
	}


	// Update thumbnails
	@set_time_limit (300);
	include_once ('paintsave.php');
	$cfg['thumb_t'] = $_POST['thumb_t'];
	$cfg['thumb_r'] = $_POST['thumb_r'];
	$use_thumb = 1;

	if ($_POST['use_thumb'] == 0) {
		// Remove all thumbs
		$result = mysql_query ("SELECT PIC_ID FROM {$OekakiPoteto_Prefix}oekakidta");
		$num_rows = mysql_num_rows ($result);

		for ($i = 0; $i < $num_rows; $i++) {
			fix_thumbnail(mysql_result ($result, $i), FALSE);
		}
	} elseif ($_POST['rebuild_thumbs'] == 'yes' || $_POST['jpgcompressqual'] != $cfg['thumb_jpg']) {
		// Rebuild all thumbs
		$result = mysql_query ("SELECT PIC_ID FROM {$OekakiPoteto_Prefix}oekakidta");
		$num_rows = mysql_num_rows ($result);

		for ($i = 0; $i < $num_rows; $i++) {
			// Timeout fix
			if ((get_microtime() - $start_time) > 250)
				break;

			fix_thumbnail(mysql_result ($result, $i));
		}
	}

	all_done();
}


// Start HTML
include ('header.php');


?>
<form name="formCPanel" method="post" action="cpanel.php">
	<input type="hidden" name="action" value="submit" />

	<center>
		<table width="90%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td class="header">
			<b><?=$langop_install_opconf?></b>
		</td>
		</tr>
		</table>
		<br />

		<table width="75%" border="0" cellspacing="0" cellpadding="2" align="center" class="infotable">
		<tr>

<!-- Display,  Registration -->
		<td class="header">
			<b><?=$langop_install_dispreg?></b>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_opurl?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<input name="okurl" type="text" value="<?=$cfg['op_url'];?>" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_email?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_emailsub?></em><br />
			<input name="eaddr" type="text" value="<?=$cfg['op_email']?>" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>



<!-- General -->
		<tr>
		<td class="header">
			<b><?=$langop_install_general?></b>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_title2?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_title2sub?></em><br />
			<input name="op_title" type="text" value="<?=$cfg['op_title'];?>" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_picstore?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_picstoresub?></em><br />
			<input name="pstore" type="text" value="<?=$cfg['pic_store'];?>" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>
			&nbsp;
		</td>
		</tr>



<!-- Registration -->
		<tr>
		<td class="header">
			<b><?=$langop_install_reg?></b>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_adel?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_adelsub?></em><br />
			<em><?=$langop_install_kill_unarc?></em><br />
			<input name="killuser" type="text" value="<?=$cfg['kill_user'];?>" size="40" class="txtinput" />
			<?=$langop_install_adelsub2?> 
		</td>
		</tr>

		<!-- Adult -->
		<tr>
		<td>
			<?=$langop_adultrbbs?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_adultrbbsdesc?></em><br />
			<em><?=$langop_adultrbbsnote?></em><br />
			<select name="op_adult" class="multiline">
<? if ($cfg['op_adult'] == 'yes') { ?>
				<option value="no"><?=$langop_word_no?></option>
				<option value="yes" selected="selected"><?=$langop_word_yes?></option>
<? } else { ?>
				<option value="no" selected="selected"><?=$langop_word_no?></option>
				<option value="yes"><?=$langop_word_yes?></option>
<? } ?>
			</select>
		</td>
		</tr>

		<!-- Immune -->
		<tr>
		<td>
			<?=$langop_install_draw_immune?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_draw_immune_sub?></em><br />
			<select name="draw_immune" class="multiline">
<? if ($cfg['draw_immune'] == 'yes') { ?>
				<option value="no"><?=$langop_word_no?></option>
				<option value="yes" selected="selected"><?=$langop_word_yes?></option>
<? } else { ?>
				<option value="no" selected="selected"><?=$langop_word_no?></option>
				<option value="yes"><?=$langop_word_yes?></option>
<? } ?>
			</select>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_gallow?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_gallowsub?></em><br />
			<select name="guestpost" class="multiline">
<? if ($cfg['guest_post'] == 'yes') { ?>
				<option value="yes" selected="selected"><?=$langop_word_yes?></option>
				<option value="no"><?=$langop_word_no?></option>
<? } else { ?>
				<option value="yes"><?=$langop_word_yes?></option>
				<option value="no" selected="selected"><?=$langop_word_no?></option>
<? } ?>
			</select>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<?=$langop_install_rapproval?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_rapprovalsub_yes?></em><br />
			<em><?=$langop_install_rapprovalsub_no?></em><br />
			<em><?=$langop_install_rapprovalsub_force?></em><br />
			<select name="approval" class="multiline">
<? if ($cfg['approval'] == 'yes') { ?>
				<option value="yes" selected="selected"><?=$langop_word_yes?></option>
				<option value="no"><?=$langop_word_no?></option>
				<option value="force"><?=$langop_word_force?></option>
<? } elseif ($cfg['approval'] == 'no') { ?>
				<option value="yes"><?=$langop_word_yes?></option>
				<option value="no" selected="selected"><?=$langop_word_no?></option>
				<option value="force"><?=$langop_word_force?></option>
<? } else { ?>
				<option value="yes"><?=$langop_word_yes?></option>
				<option value="no"><?=$langop_word_no?></option>
				<option value="force" selected="selected"><?=$langop_word_force?></option>
<? } ?>
			</select>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_access?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_accesssub?></em><br />
			<input name="drawaccess" type="checkbox" value="D" <? if ($cfg['reg_draw'] == 'yes') {echo 'checked="checked" ';} ?>/><?=$langop_type_daccess?><br />
			<input name="animationaccess" type="checkbox" value="A" <? if ($cfg['reg_anim'] == 'yes') {echo 'checked="checked" ';} ?>/><?=$langop_type_aaccess?><br />
			<input name="uploadaccess" type="checkbox" value="U" <? if ($cfg['reg_upload'] == 'yes') {echo 'checked="checked" ';} ?>/><?=$langop_type_uaccess?> 
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>



<!-- Display, General -->
		<tr>
		<td class="header">
			<b><?=$langop_install_dispgen?></b>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_deftem?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_deftemsub?></em><br />
			<select name="template" class="multiline">
<?
if ($handle = opendir ('templates')) {
	/* This is the correct way to loop over the directory. */
	while (false !== ($file = readdir ($handle))) {
		if (substr ($file, -4) == ".php"){
			if (substr ($file, 0, -4) == $cfg['template']) {
?>
				<option value="<?=substr ($file,0,-4)?>" selected="selected"><?=substr ($file, 0, -4)?></option>
<?
			} else {
?>
				<option value="<?=substr ($file,0,-4)?>"><?=substr ($file, 0, -4)?></option>
<?

			}
		}
	}

	closedir ($handle);
}
?>
			</select>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_resettemplate?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_resettemplatesub?></em><br />
			<select name="t_reset" class="multiline">
				<option value="no" selected="selected"><?=$langop_word_no?></option>
				<option value="yes"><?=$langop_word_yes?></option>
			</select>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_nopics?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<input name="ppage" type="text" value="<?=$cfg['pic_pages'];?>" size="40" class="txtinput" />
		</td>
		</tr>


		<!-- Smilies -->
		<tr>
		<td>
			<?=$langop_usesmilies?> 
		</td>
		</tr>
		<tr>
		<td style="padding-left: 30pt">
			<em>
				<?=$langop_usesmiliedesc?> 
			</em><br />
			<select name="smilies" class="multiline">
<? if ($cfg['smilies'] != 'no') { ?>
				<option value="yes" selected="selected"><?=$langop_word_yes?></option>
				<option value="no"><?=$langop_word_no?></option>
<? } else { ?>
				<option value="yes"><?=$langop_word_yes?></option>
				<option value="no" selected="selected"><?=$langop_word_no?></option>
<? } ?>
			</select>
		</td>
		</tr>


		<tr>
		<td>&nbsp;</td>
		</tr>



<!-- Display, Avatars -->
		<tr>
		<td class="header">
			<strong><?=$langop_install_disp_avatar?></strong>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_enable_avatars?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<select name="use_avatars" class="multiline">
<? if ($cfg['use_avatars'] != 'no') { ?>
				<option value="yes" selected="selected"><?=$langop_word_yes?></option>
				<option value="no"><?=$langop_word_no?></option>
<? } else { ?>
				<option value="yes"><?=$langop_word_yes?></option>
				<option value="no" selected="selected"><?=$langop_word_no?></option>
<? } ?>
			</select>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_enable_c_avatars?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<select name="use_c_avatars" class="multiline">
<? if ($cfg['use_c_avatars'] != 'yes') { ?>
				<option value="no" selected="selected"><?=$langop_word_no?></option>
				<option value="yes"><?=$langop_word_yes?></option>
<? } else { ?>
				<option value="no"><?=$langop_word_no?></option>
				<option value="yes" selected="selected"><?=$langop_word_yes?></option>
<? } ?>
			</select>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_avatar_storage?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_avatar_multiboard1?></em><br />
			<em><?=$langop_install_avatar_multiboard2?></em><br />
			<input name="avatar_folder" type="text" value="<?=$cfg['avatar_folder'];?>/" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_max_avatar_size?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_default_size?></em><br />
			<input name="avatar_x" type="text" value="<?=$cfg['avatar_x'];?>" size="6" class="txtinput" />
			&times;
			<input name="avatar_y" type="text" value="<?=$cfg['avatar_y'];?>" size="6" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>



<!-- Display, Chat -->
		<tr>
		<td class="header">
			<strong><?=$langop_install_dispchat?></strong>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_usechat?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_usechatsub?></em><br />
			<select name="useChat" class="multiline">
<? if ($cfg['use_chat'] != 'no') { ?>
				<option value="yes" selected="selected"><?=$langop_word_yes?></option>
				<option value="no"><?=$langop_word_no?></option>
<? } else { ?>
				<option value="yes"><?=$langop_word_yes?></option>
				<option value="no" selected="selected"><?=$langop_word_no?></option>
<? } ?>
			</select>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_displinesmax?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<input name="chatMax" type="text" value="<?=$cfg['chat_max'];?>" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_displines?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<input name="chatDisp" type="text" value="<?=$cfg['chat_pages'];?>" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>



<!-- Paint Applet Settings -->
		<tr>
		<td class="header">
			<strong><?=$langop_install_appletset?></strong>
		</td>
		</tr>

		<!-- Max upload -->
		<tr>
		<td>
			<?=$langop_maxfilesize;?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_maxupfileexp;?></em><br />
			<em><?=$langop_maxupfileexp2;?></em><br />
			<input name="max_pic" type="text" value="<?=$cfg['max_pic'];?>" size="40" class="txtinput" />
			<?=$langop_install_bytes?> 
		</td>
		</tr>

		<!-- Max animation -->
		<tr>
		<td>
			<?=$langop_install_animax?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_animaxsub?></em><br />
			<input name="anisize" type="text" value="<?=$cfg['max_anim'];?>" size="40" class="txtinput" />
			<?=$langop_install_bytes?>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_canvwid?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_canvwidsub?></em><br />
			<input name="xCanvas" type="text" value="<?=$cfg['canvas_x']?>" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_canvhei?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_canvheisubm?></em><br />
			<input name="yCanvas" type="text" value="<?=$cfg['canvas_y']?>" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_dcanvwid?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_dcanvwidsub?></em><br />
			<input name="xDefault" type="text" value="<?=$cfg['def_x'];?>" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_install_dcanvhei?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_dcanvheisub?></em><br />
			<input name="yDefault" type="text" value="<?=$cfg['def_y'];?>" size="40" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>



<!-- Misc Settings -->
		<tr>
		<td class="header">
			<strong><?=$langop_install_miscsettings?></strong>
		</td>
		</tr>

		<tr>
		<td>
			<?=$langop_cpanel_deflang?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<select name="language" class="multiline">
<?
if ($handle = opendir ('language')) {
	/* This is the correct way to loop over the directory. */
	while (FALSE !== ($file = readdir ($handle))) {
		if (substr ($file, -4) == '.php'){
			if (substr ($file, 0, -4) == $cfg['language']) {
?>
				<option value="<?=substr ($file,0,-4)?>" selected="selected"><?=substr ($file,0,-4)?></option>
<?
			} else {
?>
				<option value="<?=substr ($file,0,-4)?>"><?=substr ($file, 0, -4)?></option>
<?
			}
		}
	}
	closedir ($handle);
}
?>
			</select>
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>



<!-- Compression Settings -->
		<tr>
		<td class="header">
			<strong><?=$langop_compress_title?></strong>
		</td>
		</tr>

<?
// If GD is available
if ($gd_OK) { ?>
		<tr>
		<td>
			<em><?=$langop_thumbmodes?></em><br />
			<br />
			<em><?=$langop_thumbmodesexp?></em><br />
			<br />
			<em><?=$langop_thumbmodesexp2?></em>
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>

		<tr>
		<td>
			<?=$langop_def_thumb_mode;?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<select name="use_thumb" class="multiline">
				<option value="0"<? if ($cfg['use_thumb']==0) echo ' selected="selected"';?>><?=$langop_word_none?></option>
				<option value="1"<? if ($cfg['use_thumb']==1) echo ' selected="selected"';?>><?=$langop_word_layout?></option>
				<option value="2"<? if ($cfg['use_thumb']==2) echo ' selected="selected"';?>><?=$langop_word_defscale?></option>
				<option value="3"<? if ($cfg['use_thumb']==3) echo ' selected="selected"';?>><?=$langop_word_uniformity?></option>
			</select>
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>

		<!-- Rebuild thumbnails -->
		<tr>
		<td>
			<?=$langop_install_rthumb?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_install_rthumb_subno?></em><br />
			<em><?=$langop_install_rthumb_subyes?></em><br />
			<select name="rebuild_thumbs" class="multiline">
				<option value="no" selected="selected"><?=$langop_word_no?></option>
				<option value="yes"><?=$langop_word_yes?></option>
			</select>
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>

		<tr>
		<td>
			<?=$langop_compress_qual?> 
			</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_compress_range?></em><br />
			<input name="jpgcompressqual" type="text" value="<?=$cfg['thumb_jpg'];?>" size="6" class="txtinput" />
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>

		<!-- Thumb t -->
		<tr>
		<td>
			<?=$langop_smallthumb?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_smallthumbdesc?></em><br />
			<input type="text" name="thumb_t" value="<?=$cfg['thumb_t']?>" size="6" class="txtinput" /> <?= $langop_templateb_inpix; ?> 
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>

		<!-- Thumb r -->
		<tr>
		<td>
			<?=$langop_largethumb?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_largethumbdesc?></em><br />
			<input type="text" name="thumb_r" value="<?=$cfg['thumb_r']?>" size="6" class="txtinput" /> <?= $langop_templateb_inpix; ?> 
		</td>
		</tr>

		<tr>
		<td>&nbsp;</td>
		</tr>

		<!-- Thumbnail Bytes -->
		<tr>
		<td>
			<?=$langop_thumbnailfilesize?> 
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt">
			<em><?=$langop_thumbsizedesc?></em><br />
			<input name="thumb_bytes" type="text" value="<?=$cfg['thumb_bytes']?>" size="10" class="txtinput" />
			<?=$langop_install_bytes?> 
		</td>
		</tr>

<?
// If GD is not available
} else { ?>
		<tr>
		<td>
			<em><?=$langop_install_nogd?></em>

			<input name="rebuild_thumbs" type="hidden" value="no" />
		</td>
		</tr>
<?
// EndIf GD available
} ?>

		<tr>
		<td>&nbsp;</td>
		</tr>



<!-- Save -->
		<tr>
		<td class="header" >
			<strong><?=$langop_install_savecpanel?></strong>
		</td>
		</tr>

		<tr>
		<td style="padding-left: 30pt;">
			<br />
			<input type="submit" name="Submit" value="Save" class="submit" />
		</td>
		</tr>
		</table>
	</center>
</form>
<br />
<br />

<?

include ('footer.php'); ?>