<?php
/*
Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.0 - Last modified 10/25/2009

NOTE: this file is not officially part of OekakiPoteto 5.x.
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');


// Language
{
	//Animations/Layers
	$langop_draw_anims_layers = 'Animations/Layers';

	//Most applets combine layers with animation data.
	$langop_draw_combine_layers = 'Most applets combine layers with animation data.';

	//Helps prevent accidental loss of pictures.
	$langop_draw_help_loss_pics = 'Helps prevent accidental loss of pictures.';

	//Window close confirmation
	$langop_draw_close_confirm = 'Window close confirmation';

	//Remember draw settings
	$langop_draw_remember_settings = 'Remember draw settings';
}


// Get custom cookie for draw settings
if (isset ($_COOKIE['drawset'])) {
	$drawset = @unserialize (w_gpc('drawset', 'raw'));
}
if (!isset ($drawset)) {
	$drawset = array('app'=>0, 'anim'=>0, 'close'=>1);
}


// Pictures folder locked?
if (!is_writable ($cfg['op_pics'])) {
	report_err($langop_picfolocked);
}

// OekakiBBS present?
$oeb_exists = false;
if (file_exists ('oekakibbs.jar')) {
	$oeb_exists = true;
}

// ChibiPaint present?
$chi_exists = false;
if (file_exists ('chibipaint.jar')) {
	$chi_exists = true;
}


// Check GET: draw info
if (isset ($_GET['Submit'])) {
	$app   = w_gpc('applet');
	$xsize = w_gpc('canvasx', 'i');
	$ysize = w_gpc('canvasy', 'i');

	$useapp = '';
	$datatype = 0;
	$app_params = '';

	switch ($app) {
		case 'paintbbs':
			$useapp = 'paintBBS.php';
			$drawset['app'] = 5;
			break;
		case 'notebbs':
			$useapp = 'noteBBS.php';
			$drawset['app'] = 4;
			break;
		case 'oekakibbs':
			$useapp = 'oekakiBBS.php';
			$datatype = 1;
			$drawset['app'] = 3;
			break;
		case 'shi':
			$useapp = 'shiBBS.php';
			$datatype = 2;
			$drawset['app'] = 0;
			break;
		case 'shipro':
			$useapp = 'shiBBS.php';
			$datatype = 3;
			$app_params = 'tools=pro&cursor=cursor&';
			$drawset['app'] = 1;
			break;
		case 'chibipaint':
			$useapp = 'chibipaint.php';
			$datatype = 4;
			$drawset['app'] = 2;
			break;
		default:
			all_done();
	}

	if ($xsize < $cfg['canvas_x']) $xsize == $cfg['min_x'];
	if ($ysize < $cfg['canvas_y']) $ysize == $cfg['min_y'];
	if ($xsize > $cfg['canvas_x']) $xsize == $cfg['canvas_x'];
	if ($ysize > $cfg['canvas_y']) $ysize == $cfg['canvas_y'];

	$extra_cgi = '';
	if (w_gpc('anim') == 'on') {
		$extra_cgi .= '&anim=1';
		$drawset['anim'] = 1;
	} else {
		$drawset['anim'] = 0;
	}
	if (w_gpc('noclose') == 'on') {
		$extra_cgi .= '&noclose=1';
		$drawset['close'] = 1;
	} else {
		$drawset['close'] = 0;
	}
	if ($datatype > 0) {
		$extra_cgi .= '&datatype='.$datatype;
	}

	// Set custom cookie for draw settings (always set before get
	if (w_gpc('saveset')) {
		w_set_cookie('drawset', serialize ($drawset));
	}

	all_done($useapp.'?'.$app_params.'xcord='.$xsize.'&ycord='.$ysize.$extra_cgi);
}



// Start HTML
include ('header.php');


?>
<table width="90%" align="center" cellpadding="<?=$hCellPadding?>">
<tr>
<td>
	<table width="100%" border="0" cellpadding="2" cellspacing="0">
	<tr>
	<td width="455" valign="top" class="header">
		<b><?=$langop_word_draw?></b>
	</td>
	</tr>

	<tr>
	<td valign="top">
		<!-- Options -->
		<form action="draw.php" method="get">
			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;"><?=$langop_word_applet?>:</h5>
			<p style="padding-left: 30pt;">
				<font color="#FFFFFF" size="-1">
<? $ch = 'checked="checked" ';?>
					<input type="radio" name="applet" value="shi" <? if($drawset['app']==0) echo $ch;?>/>Shi-Painter<br />
					<input type="radio" name="applet" value="shipro" <? if($drawset['app']==1) echo $ch;?>/>Shi-Painter Pro<br />
<? if ($chi_exists) { ?>
					<input type="radio" name="applet" value="chibipaint" <? if($drawset['app']==2) echo $ch;?>/>Chibi Paint <?=$langop_draw_no_anim;?><br />
<? } ?>
<? if ($oeb_exists) { ?>
					<input type="radio" name="applet" value="oekakibbs" <? if($drawset['app']==3) echo $ch;?>/>OekakiBBS<br />
<? } ?>
					<input type="radio" name="applet" value="notebbs" <? if($drawset['app']==4) echo $ch;?>/>PaintBBS<?=$langop_with_palette;?><br />
					<input type="radio" name="applet" value="paintbbs" <? if($drawset['app']==5) echo $ch;?>/>PaintBBS<br />
				</font>
			</p>

			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;"><?=$langop_word_canvas?> (<?=$langop_word_min?>:&nbsp;<?=$cfg['min_x']?>&times;<?=$cfg['min_x']?>, <?=$langop_word_max?>:&nbsp;<?=$cfg['canvas_x']?>&times;<?=$cfg['canvas_y']?>):</h5>
			<p style="padding-left: 30pt;">
				<font size="-1">
					<input id="previewWidth" class="txtinput" onblur="javascript: updatePreview(<?=$cfg['min_x']?>, <?=$cfg['min_y']?>, <?=$cfg['canvas_x']?>, <?=$cfg['canvas_y']?>);" name="canvasx" value="<?=$cfg['def_x']?>" size="4" />
				</font>
				&times;
				<font size="-1">
					<input id="previewHeight" class="txtinput" onblur="javascript: updatePreview(<?=$cfg['min_x']?>, <?=$cfg['min_y']?>, <?=$cfg['canvas_x']?>, <?=$cfg['canvas_y']?>);" name="canvasy" value="<?=$cfg['def_y']?>" size="4" />
				</font>
			</p>

<? if ($flags['M']) { ?>
			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;">
				<?=$langop_draw_anims_layers?>: <input type="checkbox" name="anim" <? if($drawset['anim']==1) echo $ch;?>/>
			</h5>
			<p style="padding-left: 30pt;">
				<font color="#FFFFFF" size="-1">
					<?=$langop_draw_combine_layers?> 
				</font>
			</p>

<? } ?>

			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;">
				<input type="checkbox" name="noclose" <? if($drawset['close']==1) echo $ch;?>/> <?=$langop_draw_close_confirm;?>
			</h5>
			<p style="padding-left: 30pt;">
				<font color="#FFFFFF" size="-1">
					<?=$langop_draw_help_loss_pics;?> 
				</font>
			</p>

			<h5 style="margin-top: 0; font-family: 'Arial', 'Helvetica', sans-serif;">
				<input type="checkbox" name="saveset" <? if(w_gpc('drawset')) echo $ch;?>/> <?=$langop_draw_remember_settings;?>
			</h5>


			<p style="padding-left: 30pt;">
				<font size="-1">
					<input type="submit" name="Submit" value="Submit" class="submit" />
				</font>
			</p>
		</form>
	</td>

	<!-- Preview -->
	<td valign="top" style="padding-left: 30pt;">
		<div style="text-align: center;">
			<img id="previewImage" src="<?=$cfg['preview_img']?>" width="<?=$cfg['def_x'];?>" height="<?=$cfg['def_y'];?>" alt="<?=$langop_canvasprev;?>" title="<?=$langop_canvasprev;?>" /><br />
			<?=$langop_canvasprev;?> 
		</div>
	</td>
	</tr>
	</table>
</td>
</tr>
</table>
<br />

<?

include ('footer.php'); ?>