<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wax Poteto modifications Copyright Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 5.8.0 - Last modified 10/25/2009
*/


define ('BOOT', 1);
$cfg = array();

// Debug prevents deletion of work files
$debug = 0;

// E_ALL still needs some more testing
error_reporting (E_ALL ^ E_NOTICE);


// Language determination
$language = 'english';
if (isset ($_REQUEST['langs'])) {
	$language = $_REQUEST['langs'];
}
$url_language = urlencode ($language); // For GET method


// Custom installer functions
function make_new_file($path, $data = '') {
	if (file_exists ($path)) {
		return TRUE;
	}
	$fp = @fopen ($path, 'w');
	if (!$fp) {
		web_line('Could not create file &ldquo;'.$path.'&rdquo');
		return FALSE;
	}
	if (!empty ($data)) {
		fwrite ($fp, $data, strlen ($data));
	}
	fclose ($fp);
	return TRUE;
}


// Begin installer
include ('common.php');
include ('language/'.$language.'.php');
$mode   = w_gpc('mode');
$action = w_gpc('action');


// Init
$gd_OK = 0;
if (extension_loaded ('gd')) {
	// GDlib available!
	$gd_OK = 1;
}


// Waccoon: Test main dir permissions
if (!is_writable('.')) {
	echo "You need to CHMOD your main directory so it is writable (typically 775, some servers require 777).";
	exit;
}
if (!is_writable('./templates')) {
	echo "You need to CHMOD the templates directory so it is writable (typically 775, some servers require 777).";
	exit;
}
if (file_exists ('./pictures') && !is_writable('./templates')) {
	echo "You need to CHMOD the pictures directory so it is writable (typically 775, some servers require 777).";
	exit;
}


//Delete database
if ($mode == 'del') {
	require ('dbconn.php');
	require ('config.php');

	$result = mysql_query ('DROP TABLE IF EXISTS '.$OekakiPoteto_MemberPrefix.'oekaki');
	sql_check($result);
	$result = mysql_query ('DROP TABLE IF EXISTS '.$OekakiPoteto_MemberPrefix.'oekakichat');
	sql_check($result);
	$result = mysql_query ('DROP TABLE IF EXISTS '.$OekakiPoteto_MemberPrefix.'oekakichatmod');
	sql_check($result);
	$result = mysql_query ('DROP TABLE IF EXISTS '.$OekakiPoteto_MemberPrefix.'oekakichatmodusers');
	sql_check($result);
	$result = mysql_query ('DROP TABLE IF EXISTS '.$OekakiPoteto_Prefix.'oekakicmt');
	sql_check($result);
	$result = mysql_query ('DROP TABLE IF EXISTS '.$OekakiPoteto_Prefix.'oekakidta');
	sql_check($result);
	$result = mysql_query ('DROP TABLE IF EXISTS '.$OekakiPoteto_MemberPrefix.'oekakionline');
	sql_check($result);
	$result = mysql_query ('DROP TABLE IF EXISTS '.$OekakiPoteto_MemberPrefix.'oekakikill');
	sql_check($result);
	$result = mysql_query ('DROP TABLE IF EXISTS '.$OekakiPoteto_MemberPrefix.'oekakimailbox');
	sql_check($result);
	$result = mysql_query ('DROP TABLE IF EXISTS '.$OekakiPoteto_Prefix.'oekakimisc');
	sql_check($result);
	mysql_close ($dbconn);
	echo $langop_install_dbremove;
}


//User submits information
if ($action == 'process') {
	// Get rid of trailing slashes
	$OPpics = strip_path(w_gpc('OPpics'));
	$okurl  = strip_path(w_gpc('okurl'));
	$avatar_folder = strip_path(w_gpc('avatar_folder'));
	if (empty ($OPpics)) {
		$op_pics = 'pictures';
	}
	if (empty ($avatar_folder)) {
		$avatar_folder = 'avatars';
	}

	// Fix e-mails
	$bbs_email = trim (w_gpc('eaddr'));
	$admin_email = trim (w_gpc('admin_email'));
	if (empty ($admin_email)) {
		$admin_email = $bbs_email;
	}

	// Fix HTML entries, like the BBS title.
	$the_title = w_gpc('op_title', 'html');

	// Other verification
	$reg_draw   = 'no';
	$reg_anim   = 'no';
	$reg_upload = 'no';
	if (!empty ($_POST['drawaccess']))      $reg_draw = 'yes';
	if (!empty ($_POST['animationaccess'])) $reg_anim = 'yes';
	if (!empty ($_POST['uploadaccess']))    $reg_upload = 'yes';

	$bbs_language = $language;
	$bbs_template = addslashes (w_gpc('template'));

	// Min/Max
	$thumb_t  = fix_range(50, 500, $_POST['thumb_t']);
	$thumb_r  = fix_range(50, 500, $_POST['thumb_r']);
	$compress = fix_range(0, 100, $_POST['jpgcompressqual']);
	$av_x     = fix_range(10, 150, $_POST['avatar_x']);
	$av_y     = fix_range(10, 150, $_POST['avatar_y']);


	$db_configuration = <<<EOF
<?php // Include only
	\$dbhost = '{$_POST['dbhost']}';
	\$dbuser = '{$_POST['dbuser']}';
	\$dbpass = '{$_POST['dbpass']}';
	\$dbname = '{$_POST['dbname']}';
	\$OekakiPoteto_Prefix = '{$_POST['dbprefix']}';
	\$OekakiPoteto_MemberPrefix = '{$_POST['OekakiPoteto_MemberPrefix']}';

	\$dbconn = mysql_connect(\$dbhost, \$dbuser, \$dbpass) or die('Could not connect to the MySQL database.');
	\$mySQLDB = mysql_select_db(\$dbname);
?>
EOF;
//<?

// Create a configuration file with specified settings
$main_configuration = <<<EOF
<?php // Include only
	\$cfg = array();
	\$cfg['version'] = '1.3.0';

	\$cfg['op_title']  = '{$the_title}';
	\$cfg['op_author'] = ''; // WIP
	\$cfg['op_adult']  = '{$_POST['op_adult']}';
	\$cfg['op_email']  = '{$bbs_email}';
	\$cfg['op_url']    = '{$okurl}';

	\$cfg['salt']    = '{$_POST['saltstr']}';
	\$cfg['op_pics'] = '{$OPpics}';
	\$cfg['op_pre']  = '';

	\$cfg['kill_user']     = '-1';
	\$cfg['kill_reg']      = '15'; // WIP
	\$cfg['approval']      = '{$_POST['approval']}';
	\$cfg['draw_immune']   = 'no';
	\$cfg['require_art']   = 'no'; // WIP
	\$cfg['guest_post']    = '{$_POST['guestpost']}';
	\$cfg['guest_draw']    = ''; // WIP
	\$cfg['guest_adult']   = ''; // WIP
	\$cfg['humanity_post'] = 'yes';
	\$cfg['reg_draw']      = '{$reg_draw}';
	\$cfg['reg_anim']      = '{$reg_anim}';
	\$cfg['reg_upload']    = '{$reg_upload}';
	\$cfg['reg_rules']     = 'no'; // WIP

	\$cfg['language'] = '{$bbs_language}';
	\$cfg['template'] = '{$bbs_template}';
	\$cfg['tpl_path'] = 'templates';
	\$cfg['res_path'] = 'resource'; // WIP

	\$cfg['pic_store']  = '{$_POST['pstore']}';
	\$cfg['pic_pages']  = '10';
	\$cfg['menu_pages'] = '25'; // WIP
	\$cfg['pic_limit']      = ''; // WIP
	\$cfg['pic_limit_time'] = ''; // WIP

	\$cfg['porn_img']      = 'pr0n.png';
	\$cfg['preview_img']   = 'preview.png';
	\$cfg['preview_title'] = 'Canvas Preview';
	\$cfg['def_x']    = '300';
	\$cfg['def_y']    = '300';
	\$cfg['canvas_x'] = '500';
	\$cfg['canvas_y'] = '500';
	\$cfg['min_x']    = '50'; // WIP
	\$cfg['min_y']    = '50'; // WIP
	\$cfg['canvas_a'] = ''; // WIP
	\$cfg['max_anim'] = '{$_POST['anisize']}';
	\$cfg['max_pic']  = '{$_POST['max_pic']}';

	\$cfg['use_thumb']   = '{$_POST['use_thumb']}';
	\$cfg['force_thumb'] = 'no'; // WIP
	\$cfg['thumb_bytes'] = '100000';
	\$cfg['thumb_t']     = '{$thumb_t}';
	\$cfg['thumb_r']     = '{$thumb_r}';
	\$cfg['thumb_jpg']   = '{$compress}';

	\$cfg['use_mailbox'] = 'yes';

	\$cfg['use_chat']   = 'no';
	\$cfg['chat_max']   = '40';
	\$cfg['chat_pages'] = '15';

	\$cfg['smilies'] = 'yes';

	\$cfg['use_avatars']   = '{$_POST['use_avatars']}';
	\$cfg['use_c_avatars'] = '{$_POST['use_c_avatars']}';
	\$cfg['avatar_folder'] = '{$avatar_folder}';
	\$cfg['avatar_x'] = '{$av_x}';
	\$cfg['avatar_y'] = '{$av_y}';

	\$cfg['public_retouch']   = 'no'; // WIP
	\$cfg['safety_storetime'] = '10'; // WIP
	\$cfg['safety_saves']     = 'no'; // WIP
	\$cfg['self_bump']        = 'no'; // WIP
?>
EOF;
//<?


	// Write the config files
	$fp = fopen ('dbconn.php', 'w') or die('Could not open database config file '.$db_file.' for writing.  Check your server permissions');
		fwrite ($fp, $db_configuration);
		fclose ($fp);

	$fp = fopen ('config.php', 'w') or die('Could not open config file '.$cfg_file.' for writing.  Check your server permissions');
		fwrite ($fp, $main_configuration);
		fclose ($fp);


	/* Create specified directories with their respective permissions */
	if (!file_exists ($OPpics))
		@mkdir ($OPpics, 0777);
	if (!file_exists ($avatar_folder))
		@mkdir ($avatar_folder, 0777);


	/* Create working files (will not damage existing files) */
	make_new_file('announce.php');
	make_new_file('banner.php');
	make_new_file('hosts.txt');
	make_new_file('ips.txt');
	make_new_file('notice.php');


	/* Insert the fields into the database */
	require ('dbconn.php');
	require ('config.php');

	$pass    = $_POST['pass'];
	$pass2   = $_POST['pass2'];
	$saltenc = $_POST['saltstr'];

	if ($pass == $pass2) {
		$passenc = crypt ($pass, $saltenc);

		// Main table
		{
			// Oekaki v1.0.0
			$sql = "CREATE TABLE IF NOT EXISTS `{$OekakiPoteto_MemberPrefix}oekaki` (ID int(11) NOT NULL auto_increment, usrname varchar(255) NOT NULL default '', usrpass text, usrflags varchar(10) default 'G', email varchar(255) default NULL, name varchar(25) default NULL, comment text, url text, aim varchar(30) default NULL, icq varchar(20) default NULL, urltitle text, joindate date NOT NULL default '0000-00-00', lastlogin datetime NOT NULL default '0000-00-00 00:00:00', MSN text, Yahoo text, IRCNick text, IRCServer text, location text, piccount int(11) NOT NULL default '0', IRCchan text, templatesel varchar(255) NOT NULL DEFAULT '', commcount int(11) NOT NULL DEFAULT '0', age text, gender text, picview tinyint(11) NOT NULL default '0', language VARCHAR(32) DEFAULT '', ";

			// Oekaki v1.1.0
			$sql .= "thumbview TINYINT NOT NULL DEFAULT 0, screensize MEDIUMINT NOT NULL DEFAULT 800, ";

			// Oekaki v1.2.0
			$sql .= "rank TINYINT NOT NULL DEFAULT 0, ";

			// Oekaki v1.3.0
			$sql .= "avatar VARCHAR(128) NOT NULL DEFAULT '', ";

			// Oekaki v1.3.12
			$sql .= "`group_id` MEDIUMINT DEFAULT 0, `email_show` TINYINT(3) DEFAULT 1, `smilies_show` TINYINT(3) DEFAULT 1, `timezone` FLOAT NOT NULL DEFAULT 0, `links` TEXT, ";

			// Set info
			$sql .= "PRIMARY KEY (ID), UNIQUE KEY usrname (usrname)) TYPE=MyISAM";
			$result = mysql_query ($sql);
			sql_check($result, 'members');
		}

		$result = mysql_query ("INSERT INTO {$OekakiPoteto_MemberPrefix}oekaki (usrname, usrpass, usrflags, email, name, comment, joindate, language, rank) VALUES ('{$_POST['usrname']}', '$passenc', 'GASODMIX', '{$admin_email}', 'Administrator', 'Administrator Account', CURDATE(), '$language', '9')");
		sql_check($result, 'oekaki_insert');

		$result = mysql_query ("CREATE TABLE IF NOT EXISTS `{$OekakiPoteto_MemberPrefix}oekakichat` (ChatID int(11) NOT NULL AUTO_INCREMENT, usrname varchar(255) NOT NULL default '', comment tinytext, posttime timestamp(14) NOT NULL, hostname text, email varchar(255) default NULL, url text, IP text, postname varchar(50) NOT NULL default '', PRIMARY KEY (ChatID)) TYPE=MyISAM");
		sql_check($result, 'chat');

		$result = mysql_query ("CREATE TABLE IF NOT EXISTS `{$OekakiPoteto_Prefix}oekakicmt` (ID_3 int(11) NOT NULL AUTO_INCREMENT, PIC_ID varchar(11) NOT NULL default '', usrname varchar(255) NOT NULL default '', comment text, postdate datetime default NULL, hostname text, email varchar(255) default NULL, url text, IP text, postname varchar(50) NOT NULL default '', PRIMARY KEY (ID_3), KEY PIC_ID (PIC_ID)) TYPE=MyISAM");
		sql_check($result, 'oekakicmt');

		$result = mysql_query ("CREATE TABLE IF NOT EXISTS `{$OekakiPoteto_Prefix}oekakidta` (ID_2 int(11) NOT NULL AUTO_INCREMENT, PIC_ID int(11) NOT NULL default 0, usrname varchar(255) NOT NULL default '', comment text, postdate datetime NOT NULL default '0000-00-00 00:00:00', hostname text, email varchar(255) default NULL, url text, IP text, title varchar(255) default NULL, lastcmt datetime NOT NULL default '0000-00-00 00:00:00', adult tinyint(2) NOT NULL default 0, edittime int(20) unsigned default NULL, animation tinyint(2) default 0, datatype tinyint(2) default 0, archive tinyint(2) NOT NULL default 0, postlock tinyint(4) NOT NULL default 0, threadlock TINYINT NOT NULL DEFAULT 0, px MEDIUMINT DEFAULT 0, py MEDIUMINT DEFAULT 0, ptype VARCHAR(4), ttype VARCHAR(4), rtype VARCHAR(4), usethumb TINYINT NOT NULL DEFAULT 0, password text, origart VARCHAR(255) NOT NULL DEFAULT '', PRIMARY KEY (ID_2), UNIQUE KEY PIC_ID (PIC_ID)) TYPE=MyISAM");
		sql_check($result, 'oekakidta');

		$result = mysql_query ("CREATE TABLE IF NOT EXISTS `{$OekakiPoteto_MemberPrefix}oekakionline` (OID BIGINT(255) NOT NULL AUTO_INCREMENT, onlineusr varchar(100) NOT NULL default '', onlinetime timestamp(14) NOT NULL, onlineIP text, locale varchar(30) default NULL, onlineboard text, PRIMARY KEY (OID), UNIQUE KEY onlineusr (onlineusr)) TYPE=MyISAM");
		sql_check($result, 'oekakionline');

		$result = mysql_query ("CREATE TABLE IF NOT EXISTS `{$OekakiPoteto_MemberPrefix}oekakimailbox` (MID int(11) NOT NULL AUTO_INCREMENT, sender varchar(255) NOT NULL default '', reciever varchar(255) NOT NULL default '', subject text, body longtext, mstatus smallint(10) NOT NULL default 0, senddate datetime NOT NULL default '0000-00-00 00:00:00', PRIMARY KEY (MID), KEY sender(sender), KEY reciever (reciever)) TYPE=MyISAM");
		sql_check($result, 'oekakimailbox');

		$result = mysql_query ("CREATE TABLE IF NOT EXISTS `{$OekakiPoteto_Prefix}oekakimisc` (MiscID int(11) NOT NULL AUTO_INCREMENT, miscname varchar(255) NOT NULL default '', miscvalue bigint(255) default 0 NOT NULL, miscstring VARCHAR(14), PRIMARY KEY (MiscID), KEY miscname (miscname)) TYPE=MyISAM");
		sql_check($result, 'oekakimisc');

		$result = mysql_query ("INSERT INTO {$OekakiPoteto_Prefix}oekakimisc VALUES (1, 'piccount', 0, NULL)");
		$result = mysql_query ("INSERT INTO {$OekakiPoteto_Prefix}oekakimisc VALUES (2, 'dbversion', 0, '1.3.12')");
		sql_check($result, 'oekakimisc_insert');

		$result = mysql_query ("CREATE TABLE IF NOT EXISTS `{$OekakiPoteto_MemberPrefix}oekakichatmod` (usrname varchar(255) NOT NULL default '', command varchar(32) NOT NULL default 'MESSAGE', comment tinytext, posttime timestamp(14) NOT NULL, hostname text, email varchar(255) default NULL, url text, IP text, postname varchar(50) NOT NULL default '', PRIMARY KEY (posttime)) TYPE=MyISAM");
		sql_check($result, 'oekakichatmod');

		$result = mysql_query ("CREATE TABLE IF NOT EXISTS `{$OekakiPoteto_MemberPrefix}oekakichatmodusers` (usrname varchar(255) NOT NULL, lastmessage timestamp(14) NOT NULL, afk ENUM('no','yes') NOT NULL default 'no', PRIMARY KEY (usrname)) TYPE=MyISAM");
		sql_check($result, 'oekakichatmodusers');

		// New for 1.3.12
		$result = mysql_query ("CREATE TABLE IF NOT EXISTS {$OekakiPoteto_MemberPrefix}oekakilog (`ID` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT, `category` VARCHAR(255) NOT NULL DEFAULT '', `member` VARCHAR(255) NOT NULL DEFAULT '', `affected` VARCHAR(255), `value` TEXT, `board` VARCHAR(255) NOT NULL DEFAULT '', `date` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00', PRIMARY KEY (ID)) TYPE=MyISAM");
		sql_check($result, 'log');

		mysql_close ($dbconn);
		echo '<br />'.$langop_install_complete;
	} else {
		echo '<br />'.$langop_install_nomatch;
	}
	echo ('<br /><br /><a href="index.php?action=secure">'.$langop_secinst.'</a>');
	exit;
}
// End User Submits Data


if (!empty ($charset)) {
	header ("Content-type: text/html; charset={$charset}");
}
if (!empty ($metatag_language)) {
	header ("Content-language: {$metatag_language}");
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=<?=$charset?>">

	<title><?=$langop_install_title?></title>

	<style type="text/css">
		a:visited {text-decoration: none;}
		a:hover {text-decoration: underline;}
		a:link {text-decoration: none;}
		a:active {text-decoration: none;}

		body {
			font-family: "Verdana", sans-serif;
		}
		.req {
			color: #FFFF00;
		}
	</style>
</head>


<body bgcolor="#5E659B" text="#FFFFFF" link="#663366" vlink="#663366" alink="#663366">
<br />

<font color="#FFFFFF" size="+1">
	<i><?=$langop_install_title?></i>
</font>

<!-- Notes -->
<table width="100%" border="0" cellspacing="0" cellpadding="2" style="border: 1px #7980AE solid">
<tr>
<td valign="top" bgcolor="#A7ADBC">
	<table width="100%" border="0" cellspacing="0" cellpadding="2">
	<tr>
	<td bgcolor="#5E659B">
		<font color="#FFFFFF" size="-1">
			<b><?=$langop_word_help;?></b>
		</font>
	</td>
	</tr>

	<tr>
	<td valign="top" style="padding: 0 30pt 0 30pt;">
		<font size="-1">
			<em><?=$langop_install_help;?></em>
		</font>
	</td>
	</tr>
	</table>
	<br />
</td>
</tr>
</table>
<br />

<!-- Language -->
<form name="set_language" method="get" action="<?=$_SERVER['PHP_SELF'];?>">
	<table width="100%" border="0" cellspacing="0" cellpadding="2" style="border: 1px #7980AE solid">
	<tr>
	<td valign="top" bgcolor="#A7ADBC">
		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td bgcolor="#5E659B">
			<font color="#FFFFFF" size="-1">
				<b><?=$langop_cpanel_deflang?></b>
			</font>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="95%" border="0" cellspacing="0" cellpadding="0" align="center">
			<tr>
			<td>
				<br />

				<font size="-1">
					&nbsp;
					<select name="langs">
<?
if ($handle = opendir ('language')) {
	/* This is the correct way to loop over the directory. */
	while (false !== ($file = readdir($handle))) {
		$f_name = substr ($file, 0, -4);
		if (substr ($file,-4) == '.php') {
?>
						<option value="<?=$f_name?>"<? if($f_name == $language) echo ' selected="selected"';?>><?=$f_name?></option>
<?
		}
	}
	closedir($handle);
}
?>
					</select>
				</font>
				<br />
				<br />

				<input name="langsel" type="submit" value="Change" />

				<br />
			</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>

		<br />
	</td>
	</tr>
	</table>
</form>
<br />


<form name="main_installer_form" method="post" action="<?=$_SERVER['PHP_SELF']?>">
	<input name="action" type="hidden" value="process" />

	<table width="100%" border="0" cellspacing="0" cellpadding="2" style="border: 1px #7980AE solid">
	<tr>
	<td height="1576" bgcolor="#A7ADBC">
		<table width="100%" border="0" cellspacing="0" cellpadding="2" style="border-size: 1px;">
		<tr>
		<td height="23" valign="top" bgcolor="#5E659B">
			<font color="#FFFFFF" size="-1">
				<b><?=$langop_install_information?></b>
			</font>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="95%" border="0" cellspacing="0" cellpadding="0" align="center">
			<tr>
			<td>
				<font size="-1">
					<em><?=$langop_install_disclaimer?></em>
				</font>
				<br />
				<br />
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFF00" size="-1">
					<?=$langop_install_dbhostname?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input type="text" name="dbhost" size="40" value="localhost" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFF00" size="-1">
					<?=$langop_install_dbname?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input type="text" name="dbname" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFF00" size="-1">
					<?=$langop_install_dbusername?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input type="text" name="dbuser" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFF00" size="-1">
					<?=$langop_install_dbpass?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input type="password" name="dbpass" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					<?=$langop_install_prefix?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_prefixsub?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input type="text" name="dbprefix" size="40" value="op_" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_install_mdbprefix?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_mdbprefixsub?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input name="OekakiPoteto_MemberPrefix" type="text" value="op_" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>



		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td bgcolor="#5E659B">
			<font color="#FFFFFF" size="-1">
				<b><?=$langop_install_opconf?></b>
			</font>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="95%" border="0" cellspacing="0" cellpadding="2" align="center">
			<tr>
			<td>
				<font size="-1">
					<em><?=$langop_install_opconfsub?></em>
					<br />
				</font>
				<br />
			</td>
			</tr>

			<tr>
			<td bgcolor="#4D3D56">
				<font size="-1">
					<strong><?=$langop_install_dispreg?></strong>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1" color="#FFFF00">
					<?=$langop_install_opurl?><br />
				</font>
				<font size="-1">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_guessurl?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td height="24">
<?

// Guess URL for BBS
$script_path = $_SERVER['PHP_SELF'];
if (isset ($_SERVER['PATH_INFO'])) {
	// PHP4
	$script_path = $_SERVER['PATH_INFO'];
}
if (isset ($_SERVER['ORIG_PATH_INFO'])) {
	// PHP5
	$script_path = $_SERVER['ORIG_PATH_INFO'];
}
$url_guess = $_SERVER['SERVER_NAME'].str_replace ('\\', '/', dirname ($script_path));

?>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="okurl" type="text" value="http://<?=$url_guess;?>" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1" color="#FFFF00">
					<?=$langop_install_email?><br />
				</font>
				<font size="-1">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_emailsub?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="eaddr" type="text" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<tr>
			<td bgcolor="#4D3D56">
				<font size="-1">
					<strong><?=$langop_install_general?></strong>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
				<?=$langop_install_salt?> 
				<br />
				&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<em><?=$langop_install_saltsub?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input type="text" name="saltstr" size="40" value="As" />
				</font>
			</td>
			</tr>

			<!-- Title -->
			<tr>
			<td height="40">
				<font size="-1">
					<?=$langop_install_title2?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<?=$langop_install_title2sub?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="op_title" type="text" value="OekakiPoteto BBS" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_install_picdir?>
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_picdirsub?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="OPpics" type="text" value="pictures" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_install_picstore?>
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_picstoresub?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="pstore" type="text" value="200" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<tr>
			<td bgcolor="#4D3D56">
				<font size="-1">
					<strong><?=$langop_install_reg?></strong>
				</font>
			</td>
			</tr>

			<tr>
			<td valign="top">
				<font size="-1">
					<?=$langop_install_gallow?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_gallowsub?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td valign="top">
				&nbsp;
				<select name="guestpost">
					<option value="yes" selected="selected"><?=$langop_word_yes?></option>
					<option value="no"><?=$langop_word_no?></option>
				</select>
			</td>
			</tr>

			<tr>
			<td valign="top">
				<font size="-1">
					<?=$langop_install_rapproval?><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_rapprovalsub_yes?></em><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_rapprovalsub_no?></em><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_rapprovalsub_force?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				&nbsp;
				<select name="approval">
					<option value="yes"><?=$langop_word_yes?></option>
					<option value="no" selected="selected"><?=$langop_word_no?></option>
					<option value="force"><?=$langop_word_force?></option>
				</select>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_install_access?><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_accesssub?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input name="drawaccess" type="checkbox" value="D" checked="checked" /><?=$langop_common_drawacc?><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input name="animationaccess" type="checkbox" value="A" checked="checked" /><?=$langop_common_aniacc?><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input name="uploadaccess" type="checkbox" value="U" /><?=$langop_type_uaccess?> 
				</font>
			</td>
			</tr>

			<tr>
				<td>&nbsp;</td>
			</tr>



<!-- Display, General -->
			<tr>
			<td bgcolor="#4D3D56">
				<font size="-1">
					<strong><?=$langop_install_dispgen?></strong>
				</font>
			</td>
			</tr>

			<!-- Adult -->
			<tr>
			<td>
				<font size="-1">
					<?=$langop_adultrbbs?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_adultrbbsdesc?></em><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_adultrbbsnote?></em><br />
					&nbsp;
					<select name="op_adult" class="multiline">
						<option value="no" selected="selected"><?=$langop_word_no?></option>
						<option value="yes"><?=$langop_word_yes?></option>
					</select>
				</font>
			</td>
			</tr>

			<!-- Template -->
			<tr>
			<td>
				<font size="-1">
					<?=$langop_install_deftem?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_deftemsub?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;
					<select name="template">
<?
if ($handle = opendir('templates')) {
	/* This is the correct way to loop over the directory. */
	while (false !== ($file = readdir($handle))) {
		$f_name = substr ($file, 0, -4);
		if(substr($file,-4) == '.php') {
?>
					<option value="<?=$f_name?>"<? if($f_name=='classic') echo ' selected="selected"';?>><?=$f_name?></option>
<?
		}
	}
	closedir($handle);
}
?>
					</select>
				</font>
			</td>
			</tr>

			<tr>
				<td>&nbsp;</td>
			</tr>



<!-- Display, Avatars -->
			<tr>
			<td bgcolor="#4D3D56">
				<font size="-1">
					<strong><?=$langop_install_disp_avatar?></strong>
				</font>
			</td>
			</tr>

			<!-- Avatars -->
			<tr>
			<td height="21">
				<font size="-1">
					<?=$langop_install_enable_avatars?><br />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<select name="use_avatars" class="multiline">
						<option value="yes" selected="selected"><?=$langop_word_yes?></option>
						<option value="no"><?=$langop_word_no?></option>
					</select>
				</font>
			</td>
			</tr>

			<!-- Comment avatars -->
			<tr>
			<td height="21">
				<font size="-1">
					<?=$langop_install_enable_c_avatars?><br />
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<select name="use_c_avatars" class="multiline">
						<option value="yes" selected="selected"><?=$langop_word_yes?></option>
						<option value="no"><?=$langop_word_no?></option>
					</select>
				</font>
			</td>
			</tr>

			<!-- Avatar folder -->
			<tr>
			<td height="21">
				<font size="-1">
					<?=$langop_install_avatar_storage?><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_avatar_multiboard1?></em><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_avatar_multiboard2?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="avatar_folder" type="text" value="avatars/" size="40" class="txtinput" />
				</font>
			</td>
			</tr>

			<!-- Avatar size -->
			<tr>
			<td height="21">
				<font size="-1">
					<?=$langop_install_max_avatar_size?><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_default_size?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="avatar_x" type="text" value="50" size="6" class="txtinput" />
					&times;
					<input name="avatar_y" type="text" value="50" size="6" class="txtinput" />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>



<!-- Paint applet settings -->
			<tr>
			<td bgcolor="#4D3D56">
				<font size="-1">
					<strong><?=$langop_install_appletset?></strong>
				</font>
			</td>
			</tr>

			<!-- Max upload -->
			<tr>
			<td>
				<font size="-1">
					<?=$langop_maxfilesize;?>
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_maxupfileexp;?></em><br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_maxupfileexp2;?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="max_pic" type="text" value="500000" size="40" /><?=$langop_install_bytes?> 
				</font>
			</td>
			</tr>

			<!-- Max animation -->
			<tr>
			<td>
				<font size="-1">
					<?=$langop_install_animax?> 
					<br />
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_install_animaxsub?></em>
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;
					<input name="anisize" type="text" value="500000" size="40" /><?=$langop_install_bytes?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>



<!-- Compression settings -->
			<tr>
			<td bgcolor="#4D3D56">
				<font size="-1">
					<strong><?=$langop_compress_title?></strong>
				</font>
			</td>
			</tr>

<?
// If GD is available
if ($gd_OK) { ?>
			<tr>
			<td>
				<br />
				<div style="margin: 0 30pt 0 30pt; padding: 10px; border-width: 1px; border-color: white; border-style: solid;">
					<font size="-1">
						<em><?=$langop_thumbmodes?></em><br />
						<br />
						<em><?=$langop_thumbmodesexp?></em><br />
						<br />
						<em><?=$langop_thumbmodesexp2?></em></em>
					</font>
				</div>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_def_thumb_mode;?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					&nbsp;
					<select name="use_thumb" class="multiline">
						<option value="0"><?=$langop_word_none?></option>
						<option value="1"><?=$langop_word_layout?></option>
						<option value="2" selected="selected"><?=$langop_word_defscale?></option>
						<option value="3"><?=$langop_word_uniformity?></option>
					</select>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<tr>
			<td>
				<font size="-1">
					<?=$langop_compress_qual?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_compress_range?></em><br />
					&nbsp;
					<input name="jpgcompressqual" type="text" value="75" size="40" /><br />
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<!-- Thumb t -->
			<tr>
			<td>
				<font size="-1">
					<?=$langop_smallthumb?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_smallthumbdesc?></em><br />
					&nbsp;
					<input type="text" name="thumb_t" value="120" size="6" class="txtinput" /> <?= $langop_templateb_inpix; ?>
				</font>
			</td>
			</tr>

			<tr>
			<td>&nbsp;</td>
			</tr>

			<!-- Thumb r -->
			<tr>
			<td>
				<font size="-1">
					<?=$langop_largethumb?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
					<em><?=$langop_largethumbdesc?></em><br />
					&nbsp;
					<input type="text" name="thumb_r" value="250" size="6" class="txtinput" /> <?= $langop_templateb_inpix; ?><br />
				</font>
			</td>
			</tr>
<?
// If GD is not available
} else { ?>
			<tr>
			<td>
				<font size="-1">
					<em><?=$langop_install_nogd?></em>
				</font>

				<input name="use_thumb" type="hidden" value="0" />
				<input name="thumb_t" type="hidden" value="120" />
				<input name="thumb_r" type="hidden" value="250" />
				<input name="jpgcompressqual" type="hidden" value="75" />
			</td>
			</tr>
<?
// EndIf GD available
} ?>

			<tr>
			<td>&nbsp;</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>



		<table width="100%" border="0" cellspacing="0" cellpadding="2">
		<tr>
		<td bgcolor="#5E659B">
			<font color="#FFFFFF" size="-1">
				<b><?=$langop_install_admininfo?></b>
			</font>
		</td>
		</tr>

		<tr>
		<td valign="top">
			<table width="95%" border="0" cellspacing="0" cellpadding="0" align="center">
			<tr>
			<td>
				<font color="#FFFF00" size="-1">
					<?=$langop_install_login?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input type="text" name="usrname" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td height="18">
				<font color="#FFFF00" size="-1">
					<?=$langop_install_password?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				&nbsp;
				<input type="password" name="pass" size="40" />
			</td>
			</tr>

			<tr>
			<td height="17">
				<font color="#FFFF00" size="-1">
					<?=$langop_eprofile_repass?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				&nbsp;
				<input type="password" name="pass2" size="40" />
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF" size="-1">
					<?=$langop_install_adminemail?> 
				</font>
			</td>
			</tr>

			<tr>
			<td>
				<font color="#FFFFFF">
					&nbsp;
					<input type="text" name="admin_email" size="40" />
				</font>
			</td>
			</tr>

			<tr>
			<td valign="top">
				<br />

				<font color="#990000" size="2">
					<strong><?=$langop_install_TOS?></strong>
					<input type ="hidden" name="langs" value="<?=$language?>" />
				</font>
				<br />
				<br />

				<input type="submit" name="Submit" value="Submit" />
			</td>
			</tr>
			</table>
		</td>
		</tr>
		</table>



		<div align="left">
			<font size="-1">
				<br />
				<?=$langop_install_dbdel?> 
			</font>
		</div>
	</td>
	</tr>
	</table>
</form>


<div align="center">
	<font color="#FFFFFF" size="-1">
		OekakiPoteto 5.x by <a href="http://www.suteki.nu"><font color="#A7ADBC">RanmaGuy</font></a> and <a href="http://www.cellosoft.com"><font color="#A7ADBC">Marcello</font></a>
	</font>
</div>


</body>
</html>